package com.hotent.orgext.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel(description="pc应用")
public class SysAppVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    protected String id;
    @ApiModelProperty(value = "应用名称")
    protected String name;
    @ApiModelProperty(value = "图标")
    protected String icon;
    @ApiModelProperty(value = "图标颜色")
    protected String iconColor;
    @ApiModelProperty(value = "类型")
    protected Short type;
    @ApiModelProperty(value = "前台菜单ID")
    protected String menuId;
    @ApiModelProperty(value = "顺序")
    protected Integer sn;
    @ApiModelProperty(value = "内容")
    protected String content;
    @ApiModelProperty(value = "创建时间")
    protected LocalDateTime createTime;
    @ApiModelProperty(value = "更新时间")
    protected LocalDateTime updateTime;
    @ApiModelProperty(value = "创建人")
    protected String createBy;
    @ApiModelProperty(value = "更新人")
    protected String updateBy;
    @ApiModelProperty(value = "租户ID")
    protected String tenantId;
    @ApiModelProperty(value = "是否发布")
    protected Short isPublish;
    @ApiModelProperty(value = "描述")
    protected String desc;
    @ApiModelProperty(value = "回调地址")
    protected String callbackUrl;
    @ApiModelProperty(value="是否需要本地认证code(0:不需要  1:需要)")
    private Short localAuthCode;

    @ApiModelProperty(value = "分管扩展组织id")
    private String extOrgId;
    @ApiModelProperty(value = "分管扩展id")
    private String extId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getIconColor() {
        return iconColor;
    }

    public void setIconColor(String iconColor) {
        this.iconColor = iconColor;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public Integer getSn() {
        return sn;
    }

    public void setSn(Integer sn) {
        this.sn = sn;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Short getIsPublish() {
        return isPublish;
    }

    public void setIsPublish(Short isPublish) {
        this.isPublish = isPublish;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public Short getLocalAuthCode() {
        return localAuthCode;
    }

    public void setLocalAuthCode(Short localAuthCode) {
        this.localAuthCode = localAuthCode;
    }

    public String getExtOrgId() {
        return extOrgId;
    }

    public void setExtOrgId(String extOrgId) {
        this.extOrgId = extOrgId;
    }

    public String getExtId() {
        return extId;
    }

    public void setExtId(String extId) {
        this.extId = extId;
    }
}
